import React from 'react';
export declare type SearchInputProps = {
    label?: string;
    error?: string;
    position?: string;
    width?: number;
    value: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    placeholderColor?: string;
};
export declare type LabelProps = {
    error: boolean;
};
export declare type IconSearchProps = {
    position: string;
    error: boolean;
};
export declare type InputProps = {
    error: boolean;
    position: string;
    placeholderColor?: string;
};
