export declare type ButtonProps = {
    size?: string;
    disabled?: boolean;
    fullWidth?: boolean;
    variant?: Variants;
    label: string;
    outline?: boolean;
    backgroundColor?: string;
    borderRadius?: number;
    onClick?: () => void;
};
export declare type Variants = typeof variants[keyof typeof variants];
export declare const variants: {
    readonly PRIMARY: "primary";
    readonly SECONDADY: "secondary";
    readonly SUCCESS: "success";
    readonly INFO: "info";
    readonly DANGER: "danger";
    readonly WARNING: "warning";
};
