/// <reference types="react" />
export declare type CheckBoxProps = {
    label: string;
    error?: string;
    position?: string;
    variant?: Variants;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
};
export declare type PropsContainer = {
    position?: string;
};
export declare type Variants = typeof variants[keyof typeof variants];
export declare const variants: {
    readonly PRIMARY: "primary";
    readonly SECONDADY: "secondary";
    readonly SUCCESS: "success";
    readonly INFO: "info";
    readonly DANGER: "danger";
    readonly WARNING: "warning";
    readonly GREEN: "green";
};
export declare type LabelProps = {
    error: boolean;
    position?: string;
};
