export declare type PaginationProps = {
    pagination?: Pagination;
    onChangePage: (event: any) => void;
    position?: string;
    backgroundColorActive?: string;
    colorActive?: string;
    backgroundColorNotActive?: string;
    colorNotActive?: string;
    hideDescription?: boolean;
    responsive?: boolean;
};
export declare type Pagination = {
    current_page: number;
    last_page: number;
    from: number;
    to: number;
    total: number;
    per_page: number;
};
export declare type PositionProps = {
    position: string;
};
export declare type ContainerProps = {
    position: string;
    responsive: boolean;
};
